{% extends "base.html" %}
{% load crispy_forms_tags %}


{% block extrahead %}
<script type="text/javascript">
    $(function() {
        $('#id_orders_table tbody tr').formset({
            // For inline formsets, be sure to set the prefix, as the default prefix
            // ('form') isn't correct.
            // Django appears to generate the prefix from the lowercase plural
            // name of the related model, with camel-case converted to underscores.
            prefix: 'countdetails'
        })
    })
</script>
<style type="text/css">
    .delete-row {
        margin-left:5px;
    }
</style>
{% endblock %}

{% block content %}
<div>
    <div class="entry">
        {% comment %}
        <!-- You can use a form template with a formset containing data. -->
        <!--table style="display:none">
            <tbody>
                {% with formset.empty_form as form %}
                <tr id="id_empty_form">
                    <td>
                        {% for fld in form.hidden_fields %}{{ fld }}{% endfor %}
                        {% if form.instance.pk %}{{ form.DELETE }}{% endif %}
                        {{ form.product }}
                    </td>
                    <td>{{ form.quantity }}</td>
                </tr>
                {% endwith %}
            </tbody>
        </table-->
        {% endcomment %}
        <form method="post" action="">
		<div class="input-group">
			<span class="input-group-label"><i class="fa fa-fw fa-map-marker-alt"></i></span>
			<input class="input-group-field" value="{{ session.name }}" type="text" placeholder="{{ session.name }}" readonly>
			<div class="input-group-button">
				<a href="" class="button"><i class="fas fa-info-circle"></i></a>
			</div>
		</div>
            {% if error_message %}
            <div class="alert small callout">
                <strong><i class="fi-alert"></i> {{ error_message|escape }}</strong>
            </div>
            {% endif %}
	<p><strong class="alert">{{ form.error }}</strong></p>
	{{ form.media }}
	{% crispy form %}           
	 <h2>Count details</h2>
            <table id="id_orders_table" border="0" cellpadding="0" cellspacing="5">
                <thead>
                    <tr>
                 	<th>sex</th>
                	<th>age</th>
                	<th>ab</th>
	                <th>d3</th>
    	            <th>d5</th>
        	        <th>pouce</th>
           	     	<th>tibia</th>
           	     	<th>queue</th>
                    </tr>
                </thead>
                <tbody>
                    {% for form in formset.forms %}
                    <tr id="{{ form.prefix }}-row">
                        <td>
                            {% for fld in form.hidden_fields %}{{ fld }}{% endfor %}
                            {% if form.instance.pk %}{{ form.DELETE }}{% endif %}
                            {{ form.sex }}
                        </td>
                        <td>{{ form.age }}</td>
                        <td>{{ form.ab }}</td>
                        <td>{{ form.d3 }}</td>
                        <td>{{ form.d5 }}</td>
                        <td>{{ form.pouce }}</td>
                        <td>{{ form.tibia }}</td>
                        <td>{{ form.queue }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
            <p>
                {{ formset.management_form }}
                <input type="submit" value="Submit" />
            </p>
        </form>
    </div>
</div>
{% endblock %}
